{
  "description": "This notification informs the receiver that performance information is available.\n",
  "type": "object",
  "required": [
    "id",
    "notificationType",
    "pmJobId",
    "timeStamp",
    "objectType",
    "objectInstanceId",
    "_links"
  ],
  "properties": {
    "id": {
      "description": "An identifier with the intention of being globally unique.\n",
      "type": "string"
    },
    "notificationType": {
      "description": "A string defined in IETF RFC 8259.\n",
      "type": "string"
    },
    "timeStamp": {
      "description": "Date-time stamp. Representation: String formatted according to IETF RFC 3339.\n",
      "type": "string",
      "format": "date-time"
    },
    "pmJobId": {
      "description": "An identifier with the intention of being globally unique.\n",
      "type": "string"
    },
    "objectType": {
      "description": "A string defined in IETF RFC 8259.\n",
      "type": "string"
    },
    "objectInstanceId": {
      "description": "An identifier with the intention of being globally unique.\n",
      "type": "string"
    },
    "subObjectInstanceId": {
      "description": "An identifier that is unique for the respective type within a NFV-MANO functional entity, but that need not be globally unique. Representation: string of variable length..\n",
      "type": "string"
    },
    "_links": {
      "description": "Links to resources related to this notification.\n",
      "type": "object",
      "properties": {
        "objectInstance": {
          "description": "This type represents a link to a resource in a notification, using an absolute or relative URI.\n",
          "type": "object",
          "required": [
            "href"
          ],
          "properties": {
            "href": {
              "description": "String formatted according to IETF RFC 3986.\n",
              "type": "string"
            }
          }
        },
        "pmJob": {
          "description": "This type represents a link to a resource in a notification, using an absolute or relative URI.\n",
          "type": "object",
          "required": [
            "href"
          ],
          "properties": {
            "href": {
              "description": "String formatted according to IETF RFC 3986.\n",
              "type": "string"
            }
          }
        },
        "PerformanceReport": {
          "description": "This type represents a link to a resource in a notification, using an absolute or relative URI.\n",
          "type": "object",
          "required": [
            "href"
          ],
          "properties": {
            "href": {
              "description": "String formatted according to IETF RFC 3986.\n",
              "type": "string"
            }
          }
        }
      },
      "required": [
        "pmJob",
        "performanceReport"
      ]
    }
  }
}